Loading...
Searching...
No Matches
pcl::poisson::OctNode< NodeData, Real >::NeighborKey3 Class Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Public Member Functions

| NeighborKey3 (void)
| ~NeighborKey3 (void)
void | set (int depth)
Neighbors3 & | setNeighbors (OctNode *root, Point3D< Real > p, int d)
Neighbors3 & | getNeighbors (OctNode *root, Point3D< Real > p, int d)
Neighbors3 & | setNeighbors (OctNode *node, bool flags[3][3][3])
Neighbors3 & | setNeighbors (OctNode *node)
Neighbors3 & | getNeighbors (OctNode *node)

## Public Attributes

Neighbors3 * | neighbors

## Detailed Description

template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >::NeighborKey3

Definition at line 200 of file octree_poisson.h.

## Constructor & Destructor Documentation

## NeighborKey3()

template<class NodeData, class Real>

pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::NeighborKey3 | ( | void |  | ) |

Definition at line 1143 of file octree_poisson.hpp.

References neighbors.

## ~NeighborKey3()

template<class NodeData, class Real>

pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::~NeighborKey3 | ( | void |  | ) |

Definition at line 1146 of file octree_poisson.hpp.

References neighbors.

## Member Function Documentation

## getNeighbors() [1/2]

template<class NodeData, class Real = float>

Neighbors3 & pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::getNeighbors | ( | OctNode * | node | ) |

References pcl::poisson::OctNode< NodeData, Real >::OctNode().

## getNeighbors() [2/2]

template<class NodeData, class Real = float>

Neighbors3 & pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::getNeighbors | ( | OctNode * | root,
|  | Point3D< Real > | p,
|  | int | d )

References pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::OctNode(), and pcl::poisson::OctNode< NodeData, Real >::root().

## set()

template<class NodeData, class Real>

void pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set | ( | int | depth | ) |

Definition at line 1153 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::d, and neighbors.

## setNeighbors() [1/3]

template<class NodeData, class Real = float>

Neighbors3 & pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::setNeighbors | ( | OctNode * | node | ) |

References pcl::poisson::OctNode< NodeData, Real >::OctNode().

## setNeighbors() [2/3]

template<class NodeData, class Real = float>

Neighbors3 & pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::setNeighbors | ( | OctNode * | node,
|  | bool | flags[3][3][3] )

References pcl::poisson::OctNode< NodeData, Real >::OctNode().

## setNeighbors() [3/3]

template<class NodeData, class Real = float>

Neighbors3 & pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::setNeighbors | ( | OctNode * | root,
|  | Point3D< Real > | p,
|  | int | d )

References pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::OctNode(), and pcl::poisson::OctNode< NodeData, Real >::root().

## Member Data Documentation

## neighbors

template<class NodeData, class Real = float>

Neighbors3* pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::neighbors

Definition at line 203 of file octree_poisson.h.

Referenced by NeighborKey3(), set(), and ~NeighborKey3().

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/octree_poisson.h
- pcl/surface/3rdparty/poisson4/octree_poisson.hpp